ECHO OFF
CLS
TYPE README.1ST
PAUSE
CLS
ECHO OFF
ECHO This Auto-install process will install QuickBBS into a directory
ECHO called QUICKBBS on drive %2: (%2:\QUICKBBS). It will create
ECHO subdirectories and install configuration files for an operational
ECHO system. If this is not correct, press CTRL-C to abort the
ECHO installation. Otherwise, press any key to continue.
PAUSE > NUL

IF %1==E GOTO EXE
IF %1==e GOTO EXE
IF %1==O GOTO OVR
IF %1==o GOTO OVR

ECHO You did not specify "O" or "E" on your command line. You must
ECHO specify an E if you would like to have the Executable version
ECHO installed, or an O if you would like to have the Overlay version
ECHO installed. Please try again.
PAUSE
GOTO END

:EXE
@ECHO OFF
ECHO The Executable version will be installed.
GOTO CONT

:OVR
@ECHO OFF
ECHO The Overlay version will be installed.
GOTO CONT

:CONT
echo off
IF NOT EXIST QBBS276T.ZIP GOTO ERROR1
IF NOT EXIST QB276U.ZIP GOTO ERROR1
IF NOT EXIST QBBS276D.ZIP GOTO ERROR1
IF %1==E IF NOT EXIST QB276E.ZIP GOTO ERROR1
IF %1==e IF NOT EXIST QB276E.ZIP GOTO ERROR1
IF %1==O IF NOT EXIST QB276O.ZIP GOTO ERROR1
IF %1==o IF NOT EXIST QB276O.ZIP GOTO ERROR1
GOTO CONT2

:ERROR1
CLS
ECHO The proper release files do not exist in this directory. You need
ECHO to have QBBS276T.ZIP, QB276U.ZIP, QBBS276D.ZIP, and either
ECHO QB276E.ZIP or QB276O.ZIP (whichever you specified on the
ECHO command line) or both in order for the installation to proceed.
PAUSE
GOTO END

:CONT2
ECHO Setting up system.... This will take a little while!
MD %2:\QUICKBBS > NUL
COPY ALT.COM %2:\QUICKBBS > NUL
MD %2:\QUICKBBS\QUICKBBS > NUL
COPY QB276*.* %2:\QUICKBBS\QUICKBBS > NUL
COPY QBBS276*.* %2:\QUICKBBS\QUICKBBS > NUL
PKUNZIP -D -O %2:\QUICKBBS\QUICKBBS\QB276%1.ZIP %2:\QUICKBBS > NUL
IF ERRORLEVEL 1 GOTO ERROR2
PKUNZIP -D -O %2:\QUICKBBS\QUICKBBS\QB276U.ZIP %2:\QUICKBBS > NUL
IF ERRORLEVEL 1 GOTO ERROR2
PKUNZIP -D -O %2:\QUICKBBS\QUICKBBS\QBBS276D.ZIP %2:\QUICKBBS > NUL
IF ERRORLEVEL 1 GOTO ERROR2
PKUNZIP -D -O %2:\QUICKBBS\QUICKBBS\QBBS276T.ZIP %2:\QUICKBBS > NUL
IF ERRORLEVEL 1 GOTO ERROR2

%2:
CD\QUICKBBS
CLS
ECHO Now I'll run QCONFIG. You'll need to enter the COM port to which your
ECHO modem is attached. After QCONFIG begins press [G][M]. After entering your
ECHO modem information, press [F10] to save it.  Then press [R] [R] to enter
ECHO your name and the name of your system and press [F10] to save it.
ECHO Finally, press [Q][S] to Quit and Save.
PAUSE

ALT QUICKCFG.DAT "C:\" "%2:\" > NUL
ALT QUICKCFG.DAT "c:\" "%2:\" > NUL
ALT FILECFG.DAT "C:\" "%2:\" > NUL
ALT FILECFG.DAT "c:\" "%2:\" > NUL
QCONFIG
CD MENUS

ECHO Updating files, please wait...

FOR %%m in (*.MNU) do ..\ALT %%m "c:\" "%2:\" > NUL
FOR %%m in (*.MNU) do ..\ALT %%m "C:\" "%2:\" > NUL

CD ..


ECHO Now you're ready to log on. I'll run QuickBBS in local mode so you
ECHO can be the first user in your user log. After you complete the
ECHO logon information, but while you're still online, press [ALT-S] and
ECHO increase your security level to 32,000 so you'll always be the
ECHO first user in the user log.
PAUSE

QUICKBBS -L

ECHO That's it! You're ready to run your own BBS! Plug in your modem and
ECHO type QUICKBBS[ENTER] when you're ready to start!

ECHO Good luck, and welcome from all of us at Pegasus Software!
PAUSE
GOTO END

:ERROR2
CLS
IF ERRORLEVEL 52 ECHO Unknown error
IF ERRORLEVEL 51 IF NOT ERRORLEVEL 52 ECHO Unexpected End of File in ZIP File
IF ERRORLEVEL 50 IF NOT ERRORLEVEL 51 ECHO Disk Full
IF ERRORLEVEL 12 IF NOT ERRORLEVEL 50 ECHO Unknown error
IF ERRORLEVEL 11 IF NOT ERRORLEVEL 12 ECHO No files found to extract.
IF ERRORLEVEL 10 IF NOT ERRORLEVEL 11 ECHO Bad or Illegal Parameters Specified
IF ERRORLEVEL 9 IF NOT ERRORLEVEL 10 ECHO File not found; no ZIP files found.
IF ERRORLEVEL 4 IF NOT ERRORLEVEL 9 ECHO Not enough memory
IF ERRORLEVEL 2 IF NOT ERRORLEVEL 4 ECHO Error in ZIP file
IF ERRORLEVEL 1 IF NOT ERRORLEVEL 2 ECHO Warning error, such as failed CRC check
ECHO .
ECHO The above error resulted from the attempt to extract the QuickBBS files.
ECHO Please check to make sure you have enough space to install your BBS on
ECHO this drive. If you do, check the integrity of the distribution
ECHO files by making sure the Pegasus Software Authenticity Verification
ECHO seal is intact. Try again when you've corrected the problem.
PAUSE

:END
CLS
ECHO Thanks for choosing QuickBBS!

